.\" $OpenBSD: lm.4,v 1.16 2007/05/26 22:38:55 cnst Exp $
.\" $NetBSD: lm.4,v 1.11 2001/09/22 01:22:49 wiz Exp $
.\" $DragonFly: src/share/man/man4/lm.4,v 1.5 2007/10/26 08:22:00 swildner Exp $
.\"
.\" Copyright (c) 2000 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Bill Squier.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"        This product includes software developed by the NetBSD
.\"        Foundation, Inc. and its contributors.
.\" 4. Neither the name of The NetBSD Foundation nor the names of its
.\"    contributors may be used to endorse or promote products derived
.\"    from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd August 19, 2007
.Dt LM 4
.Os
.Sh NAME
.Nm lm
.Nd "NatSemi LM78/79/81 and Winbond Super I/O Hardware Monitor"
.Sh SYNOPSIS
.Cd "device lm0 at isa? port 0x290"
.Cd "device lm1 at isa? port 0x280"
.Cd "device lm2 at isa? port 0x310"
.Sh DESCRIPTION
The
.Nm
driver provides support for the
.Tn National Semiconductor
LM 78/79/81 and
.Tn Winbond
Super I/O
hardware monitors,
and registers compatible chips under the
.Dv HW_SENSORS
.Xr sysctl 3
tree.
.Sh HARDWARE
Chips supported by the
.Nm
driver include:
.Pp
.Bl -dash -offset indent -compact
.It
National Semiconductor LM78 and LM78-J
.It
National Semiconductor LM79
.It
National Semiconductor LM81
.It
Winbond W83627HF, W83627THF, W83637HF and W83697HF
.It
Winbond W83627DHG and W83627EHF
.It
Winbond W83781D, W83782D and W83783S
.It
Winbond W83791D, W83791SD and W83792D
.It
ASUS AS99127F
.El
.Sh SEE ALSO
.Xr systat 1 ,
.Xr sysctl 3 ,
.Xr sensorsd 8 ,
.Xr sysctl 8
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 1.5 ,
was ported to
.Ox 3.4
and imported into
.Dx 1.11 .
.Sh AUTHORS
.An -nosplit
The
.Nm
driver was written by
.An Bill Squier
and ported to
.Ox 3.4
by
.An Alexander Yurchenko Aq grange@openbsd.org .
The driver was largely rewritten for
.Ox 3.9
by
.An Mark Kettenis Aq kettenis@openbsd.org .
The driver was then ported to
.Fx
by
.An Constantine A. Murenin Aq cnst@FreeBSD.org
as a part of a Google Summer of Code 2007 project.
.Sh CAVEATS
Some vendors connect these chips to non-standard thermal diodes and
resistors.
This will result in bogus sensor values.
.Sh BUGS
Interrupt support is unimplemented.
.Pp
There are currently no known pnpbios IDs assigned to LM chips.
.Pp
This driver attaches to the Winbond W83791SD chip even though that
chip does not have any sensors.
